TEST_AND_CHANGE_BIT(9)

NAME
test_and_change_bit - Change a bit and return its old value

SYNOPSIS

int test_and_change_bit (int nr, volatile unsigned long * addr);

ARGUMENTS

nr  Bit to change

addr
    Address to count from

DESCRIPTION

This operation is atomic and cannot be reordered. It also implies a memory barrier.